Subject: [Id-event] I-D Action: draft-ietf-secevent-token-12.txt

From: [email-masked]
Date: Wed, 09 May 2018 16:18:07 -0700

A New Internet-Draft is available from the on-line Internet-Drafts directories.
This draft is a work item of the Security Events WG of the IETF.

        Title           : Security Event Token (SET)
        Authors         : Phil Hunt
                          Michael B. Jones
                          William Denniss
                          Morteza Ansari
	Filename        : draft-ietf-secevent-token-12.txt
	Pages           : 31
	Date            : 2018-05-09

Abstract:
   This specification defines the Security Event Token (SET) data
   structure.  A SET describes statements of fact from the perspective
   of an issuer about a subject.  These statements of fact represent an
   event that occurred directly to or about a security subject, for
   example, a statement about the issuance or revocation of a token on
   behalf of a subject.  This specification is intended to enable
   representing security- and identity-related events.  A SET is a JSON
   Web Token (JWT), which can be optionally signed and/or encrypted.
   SETs can be distributed via protocols such as HTTP.

The IETF datatracker status page for this draft is:
https://datatracker.ietf.org/doc/draft-ietf-secevent-token/

There are also htmlized versions available at:
https://tools.ietf.org/html/draft-ietf-secevent-token-12
https://datatracker.ietf.org/doc/html/draft-ietf-secevent-token-12

A diff from the previous version is available at:
https://www.ietf.org/rfcdiff?url2=draft-ietf-secevent-token-12

Please note that it may take a couple of minutes from the time of submission
until the htmlized version and diff are available at tools.ietf.org.

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/

---

From: Phil Hunt <[email-masked]>
Date: Wed, 9 May 2018 16:24:29 -0700

This update incorporates feedback from Adam Roach, Alexey Melnikov, and Alissa Cooper.

   o  Removed unused references to RFC 7009 and RFC 7517.

   o  Corrected name of RFC 8055 in Section 4.3 to "Session Initiation
      Protocol (SIP) Via Header Field Parameter to Indicate Received
      Realm".

   o  Added normative references for base64url and UTF-8.

   o  Section 5.1 - Changed SHOULD to MUST in "personally identifiable
      information MUST be encrypted using JWE [RFC7516] or ...".

   o  Section 5.2 - Changed "MUST consider" to "must consider”.

Thanks everyone!

Phil

Oracle Corporation, Identity Cloud Services Architect
@independentid
www.independentid.com <http://www.independentid.com/>[email-masked] <mailto:[email-masked]>

> On May 9, 2018, at 4:18 PM, [email-masked] wrote:
> 
> 
> https://urldefense.proofpoint.com/v2/url?u=https-3A__datatracker.ietf.org_doc_draft-2Dietf-2Dsecevent-2Dtoken_&d=DwICAg&c=RoP1YumCXCgaWHvlZYR8PZh8Bv7qIrMUB65eapI_JnE&r=na5FVzBTWmanqWNy4DpctyXPpuYqPkAI1aLcLN4KZNA&m=NXu-kA6pso5OBdU15rCDola-MnCZxWfZ2nkNO_3CJx8&s=IDNzRl7aHmWJwxLuE_qKw6k1K4Alq_cbzI_KiO_5NcM&e=
> 
> https://urldefense.proofpoint.com/v2/url?u=https-3A__tools.ietf.org_html_draft-2Dietf-2Dsecevent-2Dtoken-2D12&d=DwICAg&c=RoP1YumCXCgaWHvlZYR8PZh8Bv7qIrMUB65eapI_JnE&r=na5FVzBTWmanqWNy4DpctyXPpuYqPkAI1aLcLN4KZNA&m=NXu-kA6pso5OBdU15rCDola-MnCZxWfZ2nkNO_3CJx8&s=JXXSYfFKL1zeKtfRjGH9nRTse9gMxeXwY8v51L1B7OE&e=
> https://urldefense.proofpoint.com/v2/url?u=https-3A__datatracker.ietf.org_doc_html_draft-2Dietf-2Dsecevent-2Dtoken-2D12&d=DwICAg&c=RoP1YumCXCgaWHvlZYR8PZh8Bv7qIrMUB65eapI_JnE&r=na5FVzBTWmanqWNy4DpctyXPpuYqPkAI1aLcLN4KZNA&m=NXu-kA6pso5OBdU15rCDola-MnCZxWfZ2nkNO_3CJx8&s=SLDXUrsLni2XzYmjlL3kXuLtsbT2bpH-OXFaj0juGCc&e=
> 
> https://urldefense.proofpoint.com/v2/url?u=https-3A__www.ietf.org_rfcdiff-3Furl2-3Ddraft-2Dietf-2Dsecevent-2Dtoken-2D12&d=DwICAg&c=RoP1YumCXCgaWHvlZYR8PZh8Bv7qIrMUB65eapI_JnE&r=na5FVzBTWmanqWNy4DpctyXPpuYqPkAI1aLcLN4KZNA&m=NXu-kA6pso5OBdU15rCDola-MnCZxWfZ2nkNO_3CJx8&s=KNgd2x-0rlFvASj90a203LUclSe5TlLLWrOZJe9AbzQ&e=
> 
> 
> https://urldefense.proofpoint.com/v2/url?u=ftp-3A__ftp.ietf.org_internet-2Ddrafts_&d=DwICAg&c=RoP1YumCXCgaWHvlZYR8PZh8Bv7qIrMUB65eapI_JnE&r=na5FVzBTWmanqWNy4DpctyXPpuYqPkAI1aLcLN4KZNA&m=NXu-kA6pso5OBdU15rCDola-MnCZxWfZ2nkNO_3CJx8&s=epuofEykxEFWGxD3gV2AOPykzQhr5YRDol6kQdz1QOY&e=
> 
> _______________________________________________
> Id-event mailing list
> [email-masked]
> https://urldefense.proofpoint.com/v2/url?u=https-3A__www.ietf.org_mailman_listinfo_id-2Devent&d=DwICAg&c=RoP1YumCXCgaWHvlZYR8PZh8Bv7qIrMUB65eapI_JnE&r=na5FVzBTWmanqWNy4DpctyXPpuYqPkAI1aLcLN4KZNA&m=NXu-kA6pso5OBdU15rCDola-MnCZxWfZ2nkNO_3CJx8&s=Zxerjhu6ccLZ-8IrH2XkeIqWbFpjfLKydI05c4m22No&e=